svn commit: r337451 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Wed Aug 8 07:32:15 UTC 2018


Author: pho
Date: Wed Aug  8 07:32:14 2018
New Revision: 337451
URL: https://svnweb.freebsd.org/changeset/base/337451

Log:
  Added a timeout for this test.
  
  Sponsored by:	Dell EMC Isilon

Modified:
  user/pho/stress2/misc/maxmemdom.sh

Modified: user/pho/stress2/misc/maxmemdom.sh
==============================================================================
--- user/pho/stress2/misc/maxmemdom.sh	Wed Aug  8 07:31:06 2018	(r337450)
+++ user/pho/stress2/misc/maxmemdom.sh	Wed Aug  8 07:32:14 2018	(r337451)
@@ -43,6 +43,12 @@ d2=$diskimage.2
 rm -f $d1 $d2
 [ `df -k $(dirname $diskimage) | tail -1 | awk '{print int($4 / 1024)'}` -lt \
     $need ] && printf "Need %d MB on %s.\n" $need `dirname $diskimage` && exit
-timeout -k 1m 15m dd if=/dev/zero of=$d1 bs=1m count=$size status=none
-cp $d1 $d2
+timeout 30m sh -ce "
+        dd if=/dev/zero of=$d1 bs=1m count=$size status=none
+        cp $d1 $d2
+"
+s=$?
+[ $s -eq 124 ] && echo "Timed out"
+
 rm -f $d1 $d2
+exit $s


More information about the svn-src-user mailing list